let

  name = "nix-shell.canory";

  pkgs = import (builtins.fetchTarball {
    url = "https://releases.nixos.org/nixos/21.11/nixos-21.11.336020.2128d0aa28e/nixexprs.tar.xz";
    sha256 = "0w8plbxms0di6gnh0k2yhj0pgxzxas7g5x0m01zjzixf16i2bapj";
  }) { };

  hugo = pkgs.callPackage (builtins.fetchurl {
    url = "https://raw.githubusercontent.com/tdro/dotfiles/73b1c675285e67c623f2c4514602500c6f2cfab7/.config/nixpkgs/packages/hugo/default.nix";
    sha256 = "07jk987zh7kxynjj21038j0qnd996bl949x1wm3g1iggjz0shgb4";
  }) { };

  validatornu = pkgs.callPackage (builtins.fetchurl {
    url = "https://raw.githubusercontent.com/tdro/dotfiles/032efcf7f4b1c7304ce5f3f64f64c175ba59eb6d/.config/nixpkgs/packages/validatornu/default.nix";
    sha256 = "1ify40x9547z04hcibk76m45d02xg3dlvwc57n8vxcbax82yb9pj";
  }) { };

  mkShellPure = pkgs.callPackage (builtins.fetchurl {
    url = "https://raw.githubusercontent.com/tdro/dotfiles/b710281b132056105709c03dda1899a6afc68a93/.config/nixpkgs/helpers/mkShellPure.nix";
    sha256 = "1ciwifsx2hrp0ymm077zfb5q8ravrk545bda1q249y2spw9np4ms";
  }) { };

in mkShellPure {
  packages = [
    hugo
    validatornu
    pkgs.busybox
    pkgs.deno
    pkgs.entr
    pkgs.git
    pkgs.gnumake
    pkgs.php
    pkgs.subversion
    pkgs.yj
  ];
  shellHook = ''
    export PS1='\h (${name}) \W \$ '
  '';
}
